/// <reference types="react" />
interface CarouselProps extends React.HTMLAttributes<HTMLDivElement> {
    disableScroll?: boolean;
    leftArrow?: JSX.Element;
    rightArrow?: JSX.Element;
    startIndex: number;
    loadingElement?: JSX.Element;
    images: Image[];
}
interface Image {
    src: string;
    description?: string;
    id?: string;
}

interface ModalProps extends React.HTMLAttributes<HTMLDivElement> {
    extraTopElement?: JSX.Element;
    open: boolean;
    onClose: () => void;
}

interface ImageViewerProps extends ModalProps, CarouselProps {
}

declare const ReactImageCarouselViewer: (props: ImageViewerProps) => JSX.Element;

export { CarouselProps, Image, ImageViewerProps, ModalProps, ReactImageCarouselViewer };
